Welcome to Eclipse Triad!

If you are seeing this message, it means you do not have the correct version of Flash Player installed on your computer. It is free and simple to upgrade and will allow you to have a better online experience. Please upgrade your Flash Player by following this link...

Upgrade Flash Player Now!

...or you can bypass the detection and HOPE things work by following this link...

Bypass Detection